{inputs, ...}: {
  # This one brings our custom packages from the 'pkgs' directory
  additions = final: _prev: import ./pkgs {pkgs = final;};

  selfsuper = (self: super: {
    mpv = super.mpv.override {
      scripts = with self.mpvScripts; [mpris sponsorblock thumbnail];
    };
  });
  
  finalprev = (final: prev: {
    unstable = import inputs.nixpkgs-unstable {
      system = final.system;
      config.allowUnfree = true;
    };
  });
}
